/*
m_scale_get_name - Return the name corresponding to a scale number

DESCRIPTION
Return the name corresponding to a scale index. If the index is out of range
"Invalid scale" will be returned

SYNTAX
Sname m_scalge_get_name kScaleIndex

INITIALIZATION

PERFORMANCE
Sname - Name corresponding to the scale index or "Invalid scale"
kScaleIndex - Index of the scale to search for

CREDITS
Author: Jeanette C.
*/

opcode m_scale_get_name, S, k
	kScaleIndex xin

	; Number of scales in total
	iNumberOfScales = ftlen(giScales) / 12
	if ((kScaleIndex >= 0) && (kScaleIndex < iNumberOfScales)) then
		Sname = gSscaleNames[kScaleIndex]
	else
		Sname = "Invalid scale"
	endif

	; REturn the scale name
	xout(Sname)
endop
